[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

RE: [Subclipse-users] An internal error occurred during: "SVN Update".

From: Jolyon Terwilliger <jolyon_at_nixbox.com>
Date: Tue, 27 Dec 2011 09:16:06 -0800 (PST)

Since the original poster hasn't responded yet, I figured I would chime in as I am seeing the same error. I am on latest updated 64-bit Eclipse Indigo using the latest Subclipse 1.8.4 with entire Collabnet suite on OS X 10.6.8

This error happens only when updating a repository. Updates work, but still throws the error previously quoted by Valentijn. This error is repeated 8 times in the OS X console log.

Stephen, to answer your questions:

Yes, it's an upgraded working copy, actually a fresh copy. I tried running upgrade anyway and subclipse returns 'not a pre 1.7 repository' assuming no upgrade is required.
Nothing is logged to the SVN console in Eclipse. The only log entry is in the Mac OS X console logs (system.log)
Updating from the command line yields this:
svn update
Updating '.':
Skipped 'application/views/scripts/***/***/***.phtml' -- Node remains in conflict
At revision 2926.
Summary of conflicts:
  Skipped paths: 1

I went back in Eclipse, found the node in question, resolved the conflict and the error went away on subsequent updates.

Seems like subclipse should have just warned me about the node conflict instead of Error 68'ing.

------------------------------------------------------
http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1047&dsMessageId=2900366

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_subclipse.tigris.org].
Received on 2011-12-31 02:47:50 CET

This is an archived mail posted to the Subclipse Users mailing list.